org.apache.lucene.analysis

## Class ValidatingTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.ValidatingTokenFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class ValidatingTokenFilter
    extends TokenFilter

A TokenFilter that checks consistency of the tokens (eg offsets are consistent with one another).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Fields inherited from class org.apache.lucene.analysis.TokenStream

`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`ValidatingTokenFilter(TokenStream in, String name)` The name arg is used to identify this stage when throwing exceptions (useful if you have more than one instance in your chain).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `dump()`
`static void` `dumpValidatingTokenFilters(TokenStream in, PrintStream out)` Prints details about consumed tokens stored in any ValidatingTokenFilters in the input chain
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidatingTokenFilter

    public ValidatingTokenFilter(TokenStream in,
                                 String name)

The name arg is used to identify this stage when throwing exceptions (useful if you have more than one instance in your chain).

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### end

    public void end()
             throws IOException

Overrides:
  `end` in class `TokenFilter`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenFilter`
Throws:
  `IOException`

#### dumpValidatingTokenFilters

    public static void dumpValidatingTokenFilters(TokenStream in,
                                                  PrintStream out)

Prints details about consumed tokens stored in any ValidatingTokenFilters in the input chain

Parameters:
  `in` - the input token stream
  `out` - the output print stream

#### dump

    public String dump()